Bug 469441 - 'host -4 hostname' fails even though ipv4 nameservers are available.
'host -4 hostname' fails even though ipv4 nameservers are available.
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: bind (Show other bugs)
5.2
All Linux
medium Severity medium
: rc
: ---
Assigned To: Adam Tkac
BaseOS QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-31 17:01 EDT by Valdis Kletnieks
Modified: 2013-04-30 19:41 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 03:37:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Valdis Kletnieks 2008-10-31 17:01:59 EDT
Description of problem:

I have a mix of ipv4 and ipv6 DNS servers listed in /etc/resolv.conf:
% grep -v '^#' /etc/resolv.conf
nameserver 2001:468:c80:2101:0:100:0:22
nameserver 2001:468:c80:6101:0:100:0:62
nameserver 198.82.247.66
nameserver 198.82.247.34
nameserver 198.82.247.98

Using 'host -4' fails:
% host -4 listserv.vt.edu
host: couldn't get address for '2001:468:c80:2101:0:100:0:22': address family not supported

Even though the actual target exists:
% host -6 listserv.vt.edu
listserv.vt.edu has address 198.82.161.192
listserv.vt.edu has IPv6 address 2001:468:c80:2105:211:43ff:feda:d769
listserv.vt.edu mail is handled by 0 smtp.vt.edu.

'host -4' *should* have gone ahead and tried the 3 listed IPv4 servers.

Version-Release number of selected component (if applicable):
bind-utils-9.3.4-6.0.2.P1.el5_2

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
I've also opened bug #469440 against Fedora Rawhide for this.
Comment 6 errata-xmlrpc 2009-09-02 03:37:08 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1420.html

Note You need to log in before you can comment on or make changes to this bug.